Bug 305291 - g-p-m always thinks my UPS is 2 minutes away from charged/empty
g-p-m always thinks my UPS is 2 minutes away from charged/empty
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 11:36 EDT by Dan Winship
Modified: 2013-03-05 22:52 EST (History)
2 users (show)

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2007-09-25 11:36:29 EDT
I just tried connecting a USB cable to my UPS (Belkin 900VA) yesterday, and it
sort of seems to work. But there are two big problems:

1. When the UPS is on battery, g-p-m always thinks I have 2 minutes of battery
left, and when it's on AC power, g-p-m always thinks I'm 2 minutes away from
fully charged. ("2 minutes until charged (100%)").

2. The battery percentages when discharging seem to be wrong; it's at 100% now,
but if I unplug the UPS, it immediately drops to 67%, and if I wait a few
minutes and then plug it back in, it immediately jumps back up to 97% or so (and
back up to 100% from there). I can play around with this more later if that
would help, but I don't want to accidentally run it down to empty right now.
Comment 1 Dan Winship 2007-09-28 14:28:48 EDT
OK, unplugged it again, and again the reported charge dropped instantly to 67%.
Then it dropped slowly downward from there over the next 10 minutes or so, until
it got to 26%, at which point the gauge in the g-p-m icon turned from blue to
orange, and my GPS started beeping more violently. At this point I powered it
off because the beeping was *really* annoying, so I don't know if it would have
made it all the way down to 0.
Comment 2 Bug Zapper 2008-05-14 10:29:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dan Winship 2008-05-21 11:33:09 EDT
The "2 minutes away from charged" part is fixed in F9. The weird
percentage-charged drop when it loses power is still there, but that shows up
under OS X too, so I'll assume that this is actually what the UPS is reporting
and there's not much g-p-m could do to work around it.

Note You need to log in before you can comment on or make changes to this bug.